Shobdo Logo

Thesaurus

The Thesaurus endpoint returns related words (synonyms, antonyms, derivations) by searching across relational links in our dictionaries.

GET /api/v1/api/thesaurus/{word}

Path Parameters

ParameterTypeRequiredDescription
wordstringYesThe exact word to look up.

Query Parameters

ParameterTypeRequiredDescription
langstringNoFilter by language. Use an ISO 639-1 code (e.g., en) or a language pair.
sourcestringNoFilter by a specific dictionary ID.

Example Request

cURL
curl -X GET "https://api.shobdo.me/api/v1/api/thesaurus/fast" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
JavaScript
const response = await fetch("https://api.shobdo.me/api/v1/api/thesaurus/fast", {
  headers: { "Authorization": "Bearer YOUR_API_KEY" }
});
const data = await response.json();
Python
import requests
 
response = requests.get(
    "https://api.shobdo.me/api/v1/api/thesaurus/fast",
    headers={"Authorization": "Bearer YOUR_API_KEY"}
)
data = response.json()

Example Response

{
  "ok": true,
  "data": [
    {
      "word": "quick",
      "relationshipType": "synonym",
      "dictionaryId": "...",
      "dictionaryName": "...",
      "sourceLang": "en",
      "targetLang": null
    },
    {
      "word": "slow",
      "relationshipType": "antonym",
      "dictionaryId": "...",
      "dictionaryName": "...",
      "sourceLang": "en",
      "targetLang": null
    }
  ],
  "meta": {
    "took_ms": 15
  }
}

Assistant

Hi! I'm the Shobdo Assistant.
Ask me anything about the documentation.